import { getClientEnv } from "@lib/envClient";
import { useNavigate } from "@solidjs/router";
import { onMount } from "solid-js";

const home = () => {
	const navigate = useNavigate();
	const { backendUrl } = getClientEnv();

	onMount(async () => {
		try {
			const res = await fetch(`${backendUrl}/auth/session`, {
				credentials: "include",
			});

			if (res.ok) {
				const data = await res.json();
				if (data?.valid) {
					navigate("/dashboard", { replace: true });
				} else {
					navigate("/login", { replace: true });
				}
			} else {
				navigate("/login", { replace: true });
			}
		} catch {
			navigate("/login", { replace: true });
		}
	});

	return null;
};

export default home;
